[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TIdleEvent

Specifies an event handler signalled when an application becomes idle.

## Declaration

Source position: forms.pp line 1324

`type TIdleEvent = procedure(`
`Sender: TObject;`
`var Done: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Done` |  | Set to True when processing is done.

## Description

TIdleEvent is an object procedure type which specifies an event handler signalled when an application becomes idle.

Sender is the object for the event notification and normally contains the Application singleton.

Done is a variable Boolean parameter which indicates if the event handler has finished processing. When set to False, subsequent idle event handlers can be called. When set to True, the idle state processing has been completed.

TIdleEvent is the type used for the OnIdle event handler in TApplication. The event handler is signalled when the application becomes idle. The event handler can return False in Done to allow other idle event handlers to be signalled. The idle event handlers are called repeatedly until Done is set to True.

Use the TIdleEvent event handler type to provide short duration event handlers which ensure that the application remains responsive.